## klish 1.6.6+20130925+git6186ff

=== contrib/openwrt/Makefile ===
#
# Copyright (C) 2012 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=klish
PKG_VERSION:=1.5.4
PKG_RELEASE:=1

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
PKG_SOURCE_URL:=http://klish.googlecode.com/files
PKG_MD5SUM:=c98a1c65f7538c3f4687c6f8039295df

PKG_INSTALL:=1

include $(INCLUDE_DIR)/package.mk

define Package/klish/default
  SECTION:=utils
  CATEGORY:=Utilities
  TITLE:=Kommand Line Interface SHell ($(1))
  URL:=http://code.google.com/p/klish/
endef

define Package/klish
$(call Package/klish/default,main tool)
  DEPENDS:=+libstdcpp
endef

define Package/konf
$(call Package/klish/default,konf tool)
  DEPENDS:=klish
endef

define Package/klish/description
 The klish is a framework for implementing a CISCO-like CLI on a UNIX
 systems. It is configurable by XML files. The KLISH stands for Kommand
 Line Interface Shell.
 The klish is a fork of clish 0.7.3 developed by Graeme McKerrell.
 It defines new features but it's compatible (as much as possible) with
 clish's XML configuration files.
 klish is able to run using clish XML configuration files although
 current clish users may expect some changes in behavior.
endef

define Package/konf/description
 The klish is a framework for implementing a CISCO-like CLI on a UNIX
 systems. It is configurable by XML files. The KLISH stands for Kommand
 Line Interface Shell.
 Konf and konfd are klish utilities that are used to store configuration
 informations in a way which is similar to what's found on CISCO devices.
 More information about these tools is to be found on the klish web site.
endef

define Package/klish/install
    $(INSTALL_DIR) $(1)/usr/bin
    $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/clish $(1)/usr/bin/
    $(INSTALL_DIR) $(1)/usr/lib
    $(CP) $(PKG_INSTALL_DIR)/usr/lib/*.so* $(1)/usr/lib/
endef

define Package/konf/install
    $(INSTALL_DIR) $(1)/usr/bin
    $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/konf $(1)/usr/bin/
    $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/konfd $(1)/usr/bin/
    $(INSTALL_DIR) $(1)/usr/lib
    $(CP) $(PKG_INSTALL_DIR)/usr/lib/libkonf.so* $(1)/usr/lib/
    $(CP) $(PKG_INSTALL_DIR)/usr/lib/liblub.so* $(1)/usr/lib/
endef

$(eval $(call BuildPackage,klish))
$(eval $(call BuildPackage,konf))

define Package/klish-xml-files
  SECTION:=utils
  CATEGORY:=Utilities
  DEPENDS:=klish
  TITLE:=klish sample XML files
  URL:=http://code.google.com/p/klish/
endef

define Package/klish-xml-files/description
  This is a set of sample XML files for klish. This specific sample set
  is compatible with the original clish.
endef

define Package/klish-xml-files/install
    $(INSTALL_DIR) $(1)/etc/clish
    $(CP) $(PKG_BUILD_DIR)/xml-examples/clish $(1)/etc/clish/
endef

$(eval $(call BuildPackage,klish-xml-files))

=== debian/changelog ===
klish (1.6.6+20130925+git6186ff-1) unstable; urgency=low

  * New upstream version.
  * Cleaning packaging rules.

 -- Victor Seva <vseva@sipwise.com>  Mon, 23 Sep 2013 22:06:45 +0200

klish (1.6.2) unstable; urgency=low

  * New upstream

 -- Nixus Networks <debian@nixus.es>  Thu, 9 Dec 2012 17:04:00 +0200

=== debian/control ===
Source: klish
Maintainer: Sipwise Development Team <support@sipwise.com>
Uploaders: Victor Seva <vseva@sipwise.com>
Section: shells
Priority: extra
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               libexpat1-dev,
               liblua5.1-0-dev
Homepage: http://www.nixus.es

Package: klish
Architecture: any
Depends: libexpat1,
         ${shlibs:Depends},
         ${misc:Depends}
Description: command line interface shell
 The klish is a framework for implementing a CISCO-like CLI on a UNIX systems.
 It is configurable by XML files.

Package: klish-dev
Architecture: any
Depends: klish,
         ${shlibs:Depends},
         ${misc:Depends}
Description: development files for klish
 This package contains the development files for klish.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRCTOP = `pwd`
DESTDIR = $(SRCTOP)/debian/tmp

INST_OWN = -o root -g root 
MAKE_DIR = install -p -d $(INST_OWN) -m 755
INST_FILE = install -c $(INST_OWN) -m 644
INST_PROG = install -c $(INST_OWN) -m 755 -s
INST_SCRIPT = install -c $(INST_OWN) -m 755

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	./autogen.sh

override_dh_auto_configure:
	./configure --prefix=/usr --libdir=/usr/lib/clish \
				--includedir=/usr/include/clish --with-lua

override_dh_installinit:
	dh_installinit --name=konfd -pklish

override_dh_auto_install:
	dh_auto_install --destdir=$(DESTDIR)
